Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IBestSingleObjectiveTestFunctionSolutionAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IBestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IBestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 14712)
@@ -27,4 +27,5 @@
   /// An interface which represents operators for analyzing the best solution of single objective TestFunction Problems given in real vector representation.
   /// </summary>
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("3EDF2B22-22B6-4619-AB34-3E8A88D447D7")]
   public interface IBestSingleObjectiveTestFunctionSolutionAnalyzer : IAnalyzer, ISingleObjectiveOperator {
     ILookupParameter RealVectorParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRastriginMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRastriginMoveEvaluator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRastriginMoveEvaluator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Problems.TestFunctions {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("127B00E2-E5CD-4CDF-80D1-132C2EF87104")]
   public interface IRastriginMoveEvaluator : ISingleObjectiveTestFunctionAdditiveMoveEvaluator {
     DoubleValue A { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionAdditiveMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionAdditiveMoveEvaluator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionAdditiveMoveEvaluator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Problems.TestFunctions {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("F04989A0-5447-477F-A360-DB438EBD8D93")]
   public interface ISingleObjectiveTestFunctionAdditiveMoveEvaluator : ISingleObjectiveTestFunctionMoveEvaluator, IAdditiveRealVectorMoveOperator {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionMoveEvaluator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionMoveEvaluator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Problems.TestFunctions {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("8BF03463-3A65-49D1-8D9C-F3418D03D7EF")]
   public interface ISingleObjectiveTestFunctionMoveEvaluator : ISingleObjectiveMoveEvaluator, IMoveOperator {
     Type EvaluatorType { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemEvaluator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemEvaluator.cs	(revision 14712)
@@ -29,4 +29,5 @@
   /// An interface which represents an evaluation operator for single objective test functions.
   /// </summary>
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("A676D56E-AA14-4064-8810-8D93839FE17E")]
   public interface ISingleObjectiveTestFunctionProblemEvaluator : ISingleObjectiveEvaluator {
     bool Maximization { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemSolutionsVisualizer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemSolutionsVisualizer.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemSolutionsVisualizer.cs	(revision 14712)
@@ -28,4 +28,5 @@
   /// An interface which represents an operator for visualizing solutions of single objective test functions.
   /// </summary>
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("F1A3BA08-2C8A-4E52-867A-A3B1E23E00C4")]
   public interface ISingleObjectiveTestFunctionProblemSolutionsVisualizer : IAnalyzer {
     ILookupParameter<RealVector> PointParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISphereMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISphereMoveEvaluator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISphereMoveEvaluator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Problems.TestFunctions {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("B2F54A19-9AED-4B25-8CDF-E85E3EBEED43")]
   public interface ISphereMoveEvaluator : ISingleObjectiveTestFunctionAdditiveMoveEvaluator {
     DoubleValue C { get; set; }
